Bug 459871 - Review Request: samefile - An utility to find identical files on the file system
Review Request: samefile - An utility to find identical files on the file system
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-08-23 06:41 EDT by Vivek Shah
Modified: 2012-02-13 09:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-10 02:52:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rpandit: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Vivek Shah 2008-08-23 06:41:07 EDT
Spec URL: http://rishi.fedorapeople.org/samefile.spec
SRPM URL: http://rishi.fedorapeople.org/samefile-2.12-1.fc8.src.rpm
The samefile utility finds files with identical contents, independent of file 
name. This program is for you if you are notoriously low on disk space, keep 
exceeding your disk quota, pay for your storage by the megabyte, run any kind 
of file server, need to reduce the size of your backups, or just want to get 
a feeling for how much redundant files are there on your system.
Comment 1 Rakesh Pandit 2008-08-23 14:29:48 EDT
This is an unofficial quick review(as I am not a sponsor) to help this package:
1. You should add

 make test

 to use test cases provided.
2. Confirm from upstream about license. From project page it looks to be BSD. But it is always good to verify.
3. Optional Suggestion: You may like to remove macros from URL. 

+rpmlint clean
+Build on mock -- successfully
+summary -- okay
+description -- okay
+build root -- okay
   I give priority to this:
   %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

+md5sum source from package:
 from project resource:

- license tag correct, few source files (i confirm 1+)src files have license txt included but most of them don't have. So, you may like to confirm it from upstream.
+package naming 
+spec file & base package name match
+macros used consistently, sane spec file
+compiler flags are appropriate
 -you may like to request including a license file to upstream, though this is optional here -- moreover only few src files have license block.
+You may also like to contact upstream about you being packaging for fedora and they may -- once passed update there project page. Right now they have point to different RPMs (third party may be)
Comment 2 Rakesh Pandit 2008-08-23 14:36:36 EDT
You should add FE-NEEDSPONSOR to 'Blocks' field, so that sponsors will notice your ticket and do read:
Comment 3 Mamoru TASAKA 2008-08-25 01:15:14 EDT
(Removing NEEDSPONSOR: bug 458624)
Comment 4 Vivek Shah 2008-08-25 09:35:44 EDT
Thanks for the reviews, I have updated the %check section and also added the ChangeLog file

SPEC URL: http://bonii.fedorapeople.org/spec/samefile.spec
SRPM URL: http://bonii.fedorapeople.org/srpms/samefile-2.12-2.fc8.src.rpm

The license is BSD since this is the license specified in the spec file for creating the rpm for OpenSUSE distribution by the upstream author which is also included in the source tar.
Comment 5 Rakesh Pandit 2008-08-25 11:35:21 EDT
I will do a detailed review today or at least tomorrow ;-)
Comment 6 Rakesh Pandit 2008-09-03 09:22:55 EDT

rpmlint is clean 

rp => rpmlint
[rakesh@thulsadoom SRPMS]$ rp samefile-2.12-2.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[rakesh@thulsadoom x86_64]$ rp samefile-2.12-2.fc10.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[rakesh@thulsadoom x86_64]$ rp samefile-debuginfo-2.12-2.fc10.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[x] Name (in accordance guidelines)
[x] spec file name
[x] License approved by fedora
[x] Spec file is in American Eng and legible
[x] Build successfully
[x] BuildRequires okay 
[x] Duplicate files - nil
[NA] locale
[x] permissions -- okay
[x]  source link correct
[x] packaging guidlines
[x] Buildroot correct
[x] owns every directory it creates
[x] file encoding - checked
[x] package has no dependency on files in %doc
[NA] gui
[x] No dependencies outside FHS guidelines
[!] Source0 URL is wrong. It should be http://www.schweikhardt.net/%{name}-%{version}.tar.gz . Without www it does not work.
[x] md5sum

Source from srpm:
[rakesh@thulsadoom x86_64]$ md5sum samefile-2.12.tar.gz 
Using Source0 as http://www.schweikhardt.net/%{name}-%{version}.tar.gz 
[rakesh@thulsadoom samefile]$ md5sum samefile-2.12.tar.gz 

md5sum matches

[x] unnecessary files excluded 
[x] native compiler test
[NA] devel package contains right files

Optional suggestions:
[!] request upstream to include license file.
[!] Include ChangeLog (it has important info)

*You may like to ignore them*

Key NA = N/A, x = Check, ! = Problem, ? = Not evaluated

Please correct URL before importing. You may also like to look at optional suggestions.
Comment 7 Vivek Shah 2008-09-03 09:40:15 EDT
Thanks for the review, I will look into the SOURCE0 URL and fix it if it is not working without www.

New Package CVS Request
Package Name: samefile
Short Description: An utility to find identical files on the file system
Owners: bonii
Branches: F-8 F-9
Comment 8 Kevin Fenzi 2008-09-03 16:23:04 EDT
cvs done.
Comment 9 Fedora Update System 2008-09-05 09:08:16 EDT
samefile-2.12-3.fc9 has been submitted as an update for Fedora 9.
Comment 10 Fedora Update System 2008-09-05 09:08:20 EDT
samefile-2.12-3.fc8 has been submitted as an update for Fedora 8.
Comment 11 Rakesh Pandit 2008-09-10 02:52:19 EDT
It has been submitted as an update.

I am closing it as 'NEXTRELEASE'
Comment 12 Fedora Update System 2008-09-24 19:59:14 EDT
samefile-2.12-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-09-24 20:00:19 EDT
samefile-2.12-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Dmitry Butskoy 2012-02-13 06:59:20 EST
Package Change Request
Package Name: samefile
New Branches: el6
Owners: buc
Comment 15 Gwyn Ciesla 2012-02-13 09:51:12 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.